Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.enterprisedt.net.ftp
Interface EventListener

All Known Implementing Classes:
  EventAdapter, EventCollector

    public interface EventListener

Listens for interesting file transfer events.

Version:
  $Revision: 1.3 $
Author:
  Bruce Blackshaw

Method Summary
`void` | `bytesTransferred(java.lang.String connId, java.lang.String remoteFilename, long count)` Report the number of bytes transferred so far.
`void` | `commandSent(java.lang.String connId, java.lang.String cmd)` Log an FTP command being sent to the server.
`void` | `downloadCompleted(java.lang.String connId, java.lang.String remoteFilename)` Notifies that a download has completed
`void` | `downloadStarted(java.lang.String connId, java.lang.String remoteFilename)` Notifies that a download has started
`void` | `replyReceived(java.lang.String connId, java.lang.String reply)` Log an FTP reply being sent back to the client.
`void` | `uploadCompleted(java.lang.String connId, java.lang.String remoteFilename)` Notifies that an upload has completed
`void` | `uploadStarted(java.lang.String connId, java.lang.String remoteFilename)` Notifies that an upload has started

Method Detail

### commandSent

    void commandSent(java.lang.String connId,
                     java.lang.String cmd)

  Log an FTP command being sent to the server. Not used for SFTP.

  Parameters:
    `connID` - Identifier of FTP connection
    `cmd` - command string

### replyReceived

    void replyReceived(java.lang.String connId,
                       java.lang.String reply)

  Log an FTP reply being sent back to the client. Not used for SFTP.

  Parameters:
    `connID` - Identifier of FTP connection
    `reply` - reply string

### bytesTransferred

    void bytesTransferred(java.lang.String connId,
                          java.lang.String remoteFilename,
                          long count)

  Report the number of bytes transferred so far. This may not be entirely accurate for transferring text files in ASCII mode, as new line representations can be represented differently on different platforms.

  Parameters:
    `connID` - Identifier of FTP connection
    `remoteFilename` - Name of remote file
    `count` - count of bytes transferred

### downloadStarted

    void downloadStarted(java.lang.String connId,
                         java.lang.String remoteFilename)

  Notifies that a download has started

  Parameters:
    `connID` - Identifier of FTP connection
    `remoteFilename` - remote file name

### downloadCompleted

    void downloadCompleted(java.lang.String connId,
                           java.lang.String remoteFilename)

  Notifies that a download has completed

  Parameters:
    `connID` - Identifier of FTP connection
    `remoteFilename` - remote file name

### uploadStarted

    void uploadStarted(java.lang.String connId,
                       java.lang.String remoteFilename)

  Notifies that an upload has started

  Parameters:
    `connID` - Identifier of FTP connection
    `remoteFilename` - remote file name

### uploadCompleted

    void uploadCompleted(java.lang.String connId,
                         java.lang.String remoteFilename)

  Notifies that an upload has completed

  Parameters:
    `connID` - Identifier of FTP connection
    `remoteFilename` - remote file name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001-2007 Enterprise Distributed Technologies Ltd. All Rights Reserved.